textures/proj/interstellar
{
    qer_editorimage env/interstellar/interstellar_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightrgb .8 1.0 .9
    q3map_skylight 150 3
    surfaceparm sky
    q3map_sunext .9 1.0 .9 170 342 60 2 16
    skyparms env/interstellar/interstellar - -
}

textures/proj/ice
{
    qer_editorImage textures/proj/ice.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/proj/ice.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
    }
textures/proj/icefloor
{
    qer_editorImage textures/proj/icefloor.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/proj/icefloor.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/proj/snow
{
    qer_editorImage textures/proj/snow.tga
    surfaceparm nodamage
    {
        map textures/proj/snow.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/proj/barrier
{
    qer_editorImage textures/proj/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/proj/barrier.tga
        blendFunc filter
    }
}

textures/proj/barrier_sl
{
    qer_editorImage textures/proj/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/proj/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_proj/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/proj/darkfloor
{
    q3map_lightImage textures/proj/darkfloor.jpg
    qer_editorImage textures/proj/darkfloor.jpg
    surfaceparm nodamage
    {
        map textures/proj/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/proj/darkfloor_s
{
    q3map_lightImage textures/proj/darkfloor.jpg
    qer_editorImage textures/proj/editor/darkfloor_s.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/proj/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/proj/glass_clear
{
    q3map_lightImage textures/_proj/glass_radiosity.tga
    qer_editorImage textures/proj/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_proj/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}
textures/proj/rainbow_tex
{	
	qer_editorImage textures/proj/rainbow/b_rainbow1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		animMap 10 textures/proj/rainbow/b_rainbow1.tga 			textures/proj/rainbow/b_rainbow2.tga 					textures/proj/rainbow/b_rainbow3.tga 					textures/proj/rainbow/b_rainbow4.tga 					textures/proj/rainbow/b_rainbow5.tga 					textures/proj/rainbow/b_rainbow6.tga 					textures/proj/rainbow/b_rainbow7.tga 					textures/proj/rainbow/b_rainbow8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		tcMod rotate 1
	}	
	{
		animMap 10 textures/proj/rainbow/b_rainbow2.tga 			textures/proj/rainbow/b_rainbow3.tga 					textures/proj/rainbow/b_rainbow4.tga 					textures/proj/rainbow/b_rainbow5.tga 					textures/proj/rainbow/b_rainbow6.tga 					textures/proj/rainbow/b_rainbow7.tga 					textures/proj/rainbow/b_rainbow8.tga 					textures/proj/rainbow/b_rainbow1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
		tcMod rotate 1
	}	


	{
		map textures/proj/rainbow/b_rainbowball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
		tcMod rotate1
	}

}

textures/proj/water
{
	qer_editorimage textures/proj/pool3d_3e.jpg
	qer_trans 0.6
	q3map_fancywater .6 .5 .75 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	deformVertexes wave 64 sin 1 1 0 .5	
	{ 
		map textures/proj/pool3d_5e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale 2 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/proj/pool3d_3e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/proj/watercaulk
{
        qer_nocarve
        qer_trans 0.40
        qer_editorimage textures/proj/editor/watercaulk.tga
        surfaceparm nodraw
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm water
}

textures/proj/ice_shiny
{
    q3map_lightImage textures/proj/ice_shiny.tga
    qer_editorImage textures/proj/ice_shiny.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/proj/ice_shiny.tga
        blendFunc filter
    }
    {
        map textures/_proj/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/acommon/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/acommon/caulk
{
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm nomarks
}

textures/acommon/playerclip
{
	qer_trans 0.40
	surfaceparm slick
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}
textures/acommon/playerclip_tr
{
	qer_editorImage textures/acommon/playerclip
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}

textures/acommon/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/acommon/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/acommon/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/acommon/fullclip 
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/acommon/hint 
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/acommon/invisible
{
	surfaceparm nolightmap			
        {
                map textures/acommon/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/acommon/mirror
{
	qer_editorimage textures/acommon/mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/acommon/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/acommon/mirror2
{
	qer_editorimage textures/acommon/mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/acommon/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
            map textures/sfx/mirror.tga
	      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/acommon/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/acommon/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/acommon/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/acommon/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}


textures/acommon/noimpact
{
	qer_editorimage textures/acommon/nolightmap.tga
	surfaceparm noimpact
}

textures/acommon/nolightmap
{
	surfaceparm nolightmap
}

textures/acommon/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/acommon/portal
{
	qer_editorimage textures/acommon/portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/acommon/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/acommon/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/acommon/terrain
{
	q3map_terrain
	surfaceparm nodraw
      surfaceparm nolightmap
	surfaceparm nomarks
}

textures/acommon/terrain2
{
	q3map_terrain
	qer_editorimage textures/acommon/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/acommon/portal
{
	qer_editorimage textures/acommon/portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/acommon/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/acommon/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/acommon/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/acommon/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/acommon/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/acommon/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/acommon/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/acommon/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/acommon/lavacaulk
{
    qer_editorimage textures/acommon/lavacaulk.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/acommon/ladder
{
        qer_editorimage textures/acommon/ladder.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/acommon/whiteglass
{
    q3map_lightimage textures/acommon_text/glass_radiosity.tga
    qer_editorimage textures/acommon/whiteglass.tga
    qer_trans 0.5
    q3map_bouncescale 0.4
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/acommon_text/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/acommon/darkglass
{
	qer_editorimage textures/acommon/darkglass.tga
	qer_trans .5
     q3map_bouncescale 0.4
     surfaceparm nolightmap
     surfaceparm detail
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
     surfaceparm trans
     cull disable
	{
		map textures/acommon_text/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/acommon/lightbeam
{
  qer_editorimage textures/acommon/lightbeam.tga
        q3map_lightimagetextures/acommon_text/light_beam_c.tga
        q3map_surfacelight 80
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm noimpact
        surfaceparm nolightmap
        //qer_trans .9
        cull none
        surfaceparm nomipmaps
        {
                map textures/acommon_text/light_beam_1.tga
    rgbGen const ( 0.01 0.01 0.01 )
                tcMod Scroll .1 0
                blendFunc add
        }
}

textures/acommon/darkfog
{
	qer_editorimage textures/acommon/darkfog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0 ) 350
	q3map_bouncescale 0
}

textures/acommon/whitefog
{
	qer_editorimage textures/acommon/whitefog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 255 255 255 ) 350
	q3map_bouncescale 0
}

textures/acommon/camera
{
    qer_editorImage textures/acommon/camera.jpg
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/acommon_text/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/acommon_text/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}
textures/acommon/lavafog
{
    qer_editorImage textures/acommon/lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}
textures/acommon/waterfog
{
    qer_editorImage textures/acommon/waterfog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.035 0.071 0.078 ) 1200
}


